Bug 284571 - quickcam_messenger driver problem
quickcam_messenger driver problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 09:35 EDT by Matthias Clasen
Modified: 2009-07-14 10:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-09-10 09:35:09 EDT
The quickcam_messenger driver does something wrong. When I plug this webcam in,
I get a /dev/video and /dev/video0, and the camera works for root, but 

[mclasen@localhost devel]$ tree /sys/class/video4linux
/sys/class/video4linux
`-- video0
    |-- dev
    |-- name
    |-- subsystem -> ../../../class/video4linux
    `-- uevent


is missing device and driver links, so hal doesn't know how to handle it...
Comment 1 Chuck Ebbert 2007-09-10 19:17:50 EDT
[possibly related to bz 259141?]
Comment 2 Matthias Clasen 2007-09-10 21:28:16 EDT
No, I don't think so, bug 259141 is about problems with hal/CK integration, this
is about a kernel driver bug.
Comment 3 Alex Lancaster 2008-02-16 04:04:57 EST
Confirming that this is also a problem with F-8.  I can't even get a picture
with camstreams or ekiga as root on F-8 with

kernel-2.6.23.15-137.fc8

I see this repeated in /var/log/messages when I try to acquire an image.

Feb 16 01:58:17 binoche kernel:
drivers/media/video/usbvideo/quickcam_messenger.c: usb_submit_isoc(0) ret -28
Feb 16 01:58:17 binoche kernel:
drivers/media/video/usbvideo/quickcam_messenger.c: usb_submit_isoc(1) ret -28
Feb 16 01:58:22 binoche kernel:
drivers/media/video/usbvideo/quickcam_messenger.c: usb_submit_isoc(0) ret -28
Feb 16 01:58:22 binoche kernel:
drivers/media/video/usbvideo/quickcam_messenger.c: usb_submit_isoc(1) ret -28

Comment 4 Alex Lancaster 2008-02-16 04:05:25 EST
I should also mention that I can get this to work with the kernel on F-7.
Comment 5 Timo Sorvoja 2008-03-20 16:01:57 EDT
F7 wworks ok, but problem exists in F8. There's also problem with picture. When
testing with mplayer the picture remains blank green. 

Here's my /var/log/messages after plugging it in:

usb 5-1: new full speed USB device using uhci_hcd and address 5
usb 5-1: configuration #1 chosen from 1 choice
ALSA sound/usb/usbaudio.c:2753: 5:2:1: add audio endpoint 0x83
ALSA sound/usb/usbmixer.c:989: [2] FU [Mic Capture Switch] ch = 1, val = 0/1/1
ALSA sound/usb/usbmixer.c:406: cannot set ctl value: req = 0x4, wValue = 0x200,
wIndex = 0x201, type = 4, data = 0x80/0x0
ALSA sound/usb/usbmixer.c:989: [2] FU [Mic Capture Volume] ch = 1, val =
-14080/0/256
ALSA sound/usb/usbmixer.c:989: [2] FU [Auto Gain Control] ch = 1, val = 0/1/1
drivers/media/video/usbvideo/quickcam_messenger.c: Logitech Quickcam Messenger
USB v0.01
videodev: "QCM USB Camera" has no release callback. Please fix your driver for
proper sysfs support, see http://lwn.net/Articles/36850/
drivers/media/video/usbvideo/usbvideo.c: QCM on /dev/video1: canvas=320x240
videosize=320x240
input: QCM button as /devices/pci0000:00/0000:00:10.3/usb5/5-1/input/input11
usbcore: registered new interface driver QCM
ALSA sound/usb/usbaudio.c:1327: setting usb interface 2:1

Comment 6 Gustavo Maciel Dias Vieira 2008-04-02 11:10:34 EDT
This bug is still present in kernel-2.6.24-50.fc8.

If I manually "chmod 666 /dev/video0", the camera works perfectly in Ekiga for a
regular user.

Does anyone know a more automatic workaround?
Comment 7 Dave Jones 2008-04-02 11:56:06 EDT
device node permissions problems will be a userspace issue. Probably udev.
Comment 8 Pete Zaitcev 2008-04-02 11:59:26 EDT
The -28 which Alex hits is the lack of the bandwidth. It's a murky
area, we used to have bugs when things like 2.0 hubs claimed too much.
But I think F8 is pretty good there, it's most likely really not
enough bandwidth. The annoying thing is, the devices report how
much they need, but often they use less. You'd think the cam would
fit on an empty bus, but actually it won't share with a mouse sometimes.
Solution: plug into a root hub.

Permissions for Gustavo and Mattias is something for Harald to look at.
It has to do with udev, not kernel.
Comment 9 Timo Sorvoja 2008-04-02 14:01:38 EDT
I confirm that e.g. "chmod 666 /dev/video1" makes the webcam work with ekiga.
Comment 10 Bug Zapper 2008-05-13 23:13:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Alex Lancaster 2008-06-10 01:46:30 EDT
Reconfirming that this still doesn't work for me with Fedora 9
kernel-2.6.25.4-30.fc9.i686.  I still have the same problem as I described in
comment #3.  Nothing, including camstreams shows a picture, here's the
/var/log/messages:


Jun  9 22:37:34 binoche kernel: usb 1-2: new full speed USB device using
uhci_hcd and address 5
Jun  9 22:37:34 binoche kernel: usb 1-2: configuration #1 chosen from 1 choice
Jun  9 22:37:34 binoche kernel: videodev: "QCM USB Camera" has no release
callback. Please fix your driver for proper sysfs support, see
http://lwn.net/Articles/36850/
Jun  9 22:37:34 binoche kernel: drivers/media/video/usbvideo/usbvideo.c: QCM on
/dev/video0: canvas=320x240 videosize=320x240
Jun  9 22:37:34 binoche kernel: input: QCM button as
/devices/pci0000:00/0000:00:04.2/usb1/1-2/input/input7
Jun  9 22:37:34 binoche kernel: ALSA sound/usb/usbaudio.c:2798: 5:2:1: add audio
endpoint 0x83
Jun  9 22:37:34 binoche kernel: ALSA sound/usb/usbmixer.c:988: [2] FU [Mic
Capture Switch] ch = 1, val = 0/1/1
Jun  9 22:37:34 binoche kernel: ALSA sound/usb/usbmixer.c:405: cannot set ctl
value: req = 0x4, wValue = 0x200, wIndex = 0x201, type = 4, data = 0x80/0x0
Jun  9 22:37:34 binoche kernel: ALSA sound/usb/usbmixer.c:988: [2] FU [Mic
Capture Volume] ch = 1, val = -14080/0/256
Jun  9 22:37:34 binoche kernel: ALSA sound/usb/usbmixer.c:988: [2] FU [Auto Gain
Control] ch = 1, val = 0/1/1
Jun  9 22:37:34 binoche kernel: usb 1-2: New USB device found, idVendor=046d,
idProduct=08f0
Jun  9 22:37:34 binoche kernel: usb 1-2: New USB device strings: Mfr=0,
Product=1, SerialNumber=0
Jun  9 22:37:34 binoche kernel: usb 1-2: Product: Camera
Jun  9 22:37:34 binoche kernel:
drivers/media/video/usbvideo/quickcam_messenger.c: usb_submit_isoc(0) ret -28
Jun  9 22:37:34 binoche kernel:
drivers/media/video/usbvideo/quickcam_messenger.c: usb_submit_isoc(1) ret -28


This appears to be the same lack of bandwidth problem as described by Pete in
comment #8.  What exactly is a root hub?  This isn't hanging off another hub
that this then plugged into the computer.  

I have it plugged directly into one of the two USB ports on the back of the
machine.  Should I try the other USB port?
Comment 12 Alex Lancaster 2008-06-10 01:49:42 EDT
(In reply to comment #11)

> I have it plugged directly into one of the two USB ports on the back of the
> machine.  Should I try the other USB port?

The second USB port does have a PS-2 mouse and PS-2 keyboard plugged into a USB
splitter which then plugs into the computer.  Could that be the problem?
Comment 13 Chuck Ebbert 2008-06-10 14:47:36 EDT
(In reply to comment #12)
> (In reply to comment #11)
> 
> > I have it plugged directly into one of the two USB ports on the back of the
> > machine.  Should I try the other USB port?
> 
> The second USB port does have a PS-2 mouse and PS-2 keyboard plugged into a USB
> splitter which then plugs into the computer.  Could that be the problem?

That device could be claiming enough bandwidth to prevent the camera from working.
Are those two the only ports available?
Comment 14 Bug Zapper 2009-06-09 18:49:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 10:19:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.